inherit eutils
IUSE=""

S=${WORKDIR}/${P}
DESCRIPTION="A fancy categorical/colorizing/fontifying ls with nice sorting"
HOMEPAGE="http://pdos.csail.mit.edu/cb/cls"
SRC_URI="http://pdos.csail.mit.edu/cb/cls/${P}.tgz"

SLOT="0"
LICENSE="cls"
KEYWORDS="~x86 ~amd64"

src_unpack() {
	unpack ${A}
	cd ${S}
}

src_compile() {
	emake -e || die
}

src_install() {
	exeinto /usr/bin
	doexe   cls
	doman   cls.1
	insinto /etc
	doins   eg.clsrc
}

pkg_postinst () {
	einfo "Edit /etc/clsrc for system wide or ~/.clsrc for per-user configs"
}
