Summary: cls -- a fancy categorical/colorizing/fontifying ls with nice sorting
Name: cls
Version: 1.3
Release: 1
License: GPL
Group: Development/Tools
Source: http://pdos.csail.mit.edu/cb/cls/%{name}-%{version}.tgz
URL: http://pdos.csail.mit.edu/cb/cls/index.html
BuildRoot: /tmp/build.%{name}-%{version}-%{release}

%description
  cls is a fast, flexible 'ls' with pleasant features not in GNU ls such as:
  - cls uses as many text columns as possible, given a tabular format,
    and so is good for wide terminals with small fonts.
  - cls has custom multi-level sort orders
  - cls has custom format strings to customize listings from "short"
    to "long" and everywhere in between.
  - cls can colorize and embellish with font switching escape sequences
    according to a variety of file type classification schemes.
  - cls can colorize permissions and file sizes
  - cls supports 16 and 256 color terminals as well as traditional
    8-color terminals
  - cls can format or sort according to the target of a symlink instead
    of as a symlink

%prep
%setup -q

%build
make

%install
make install DESTDIR=$RPM_BUILD_ROOT prefix=/usr

%files
%defattr(0644,root,root)
%attr(555,root,root) /usr/bin/cls
%attr(444,root,root) /usr/man/man1/cls.1
%config /etc/clsrc
